/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_smaz_Smaz */

#ifndef _Included_sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_smaz_Smaz
#define _Included_sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_smaz_Smaz
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_smaz_Smaz
 * Method:    smaz_compress
 * Signature: ([BI)[B
 */
JNIEXPORT jbyteArray JNICALL Java_sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_smaz_Smaz_smaz_1compress
  (JNIEnv *, jobject, jbyteArray, jint);

/*
 * Class:     sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_smaz_Smaz
 * Method:    smaz_decompress
 * Signature: ([BI)[B
 */
JNIEXPORT jbyteArray JNICALL Java_sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_smaz_Smaz_smaz_1decompress
  (JNIEnv *, jobject, jbyteArray, jint);

#ifdef __cplusplus
}
#endif
#endif
